#ifndef CvsLockDialog_h
#define CvsLockDialog_h

// $Id: CvsLockDialog.h,v 1.5 2009/09/09 02:29:40 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

/*!
  \file CvsLockDialog.h
  \brief cvs lock action dialog
  \author Hugo Pereira
  \version $Revision: 1.5 $
  \date $Date: 2009/09/09 02:29:40 $
*/

#include "CustomDialog.h"
#include "Counter.h"
#include "Debug.h"



/*!
  \class CvsLockDialog
  \brief customized QDialog
*/
class CvsLockDialog: public CustomDialog
{

  public:

  //! constructor
  CvsLockDialog(
    QWidget *parent,
    const QString& user,
    const QString& path
    );

  //! destructor
  virtual ~CvsLockDialog( void )
  {}

};

#endif

